Subject: Re: bug#7155: [md5sum] does not accept

From: Pádraig Brady <[email-masked]>
Date: Sat, 16 Oct 2010 23:37:26 +0100

On 16/10/10 20:37, Rimas Kudelis wrote:
> 
> On Sun, 03 Oct 2010 23:27:24 +0100, Pádraig Brady <[email-masked]>
> wrote:
>> On 03/10/10 20:24, Rimas Kudelis wrote:
>>> Hi,
>>>
>>> I have a little problem with md5sum.
>>>
>>> A FreeBSD box generates an md5 sum of a file, which I'm later trying to
>>> check on a Linux box. The problem is that what FreeBSD's md5 outputs is
>>> slightly different from what Linux's md5sum expects, which makes md5sum
>>> complain. The difference is really trivial: md5 outputs one space
>>> between the sum and the file name, and md5sum outputs/expects two:
>>
>> md5 seems to output a different format here.
>>
>> $ head -n1 /etc/motd
>> FreeBSD 8.0-RELEASE-p3 (GENERIC) #0: Wed May 26 05:45:12 UTC 2010
>> $ md5sum --version | head -n1
>> md5sum (GNU coreutils) 8.3
>> $ md5 file | tee t.md5
>> MD5 (file) = b85d6fb9ef4260dcf1ce0a1b0bff80d3
>> $ md5sum -c t.md5
>> file: OK
>>
>> Could you verify what md5 utility you're using exactly.
> 
> 
> Sorry for taking so long to answer, but I wasn't the person producing the
> checksum, so I had to ask too. The command used to produce the checksum is:
> $ md5 -r <filename>
> 
> FreeBSD release version is the same as yours. I've just tested the same
> command with FreeBSD 6.2, and it only outputs one space too.

Ah right, md5 -r produces the alternate format.
I suppose we could support a single space,
by trying to open("*abc") after trying to open ("abc").
There is still an ambiguity if both files are present,
though that is unlikely. I'll have a look.

cheers,
Pádraig.